<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
set_time_limit(3000); 
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
$accion=$_REQUEST["accion"];
if (!$_POST || $accion==11 || $_POST['cerrar']==1) {
	include ("fphp.php");
	$enlace=cargar_conexion();
	
	if ($_POST['cerrar']==1 && strtoupper($_POST['si'])=='SI') {
		$consulta=mysqli_query($enlace,"update  periodo set pre=1 where nomina='".substr($_POST['nomina'],0,3)."'");
		
		/////////////////////////// enviar correo
		$consulta="select * from empresa";
		$resultado3 = mysqli_query($enlace,$consulta) or die($consulta.mysqli_error($enlace));
		$row3=mysqli_fetch_array($resultado3);
		$email1=$row3['email1'];
		$email2=$row3['email2'];
		mysqli_free_result($resultado3);
		//// armar correo
		$asunto = 'Pre Cierre de Nomina Efectuado en: '.$row3['nombre'];
		$email = 'info@saireh.com';
		$mensaje = 'Pre Cierre Realizado por: '.$_SESSION['nombre_validar'];
		$destinatario=$email1.",".$email2;
		$headers.="X-Mailer: PHP/". phpversion()."\r\n";
		$headers.="MIME-Version: 1.0 \r\n"; 
		$headers.="Content-Type: text/html; charset=iso-8859-1\r\n"; 
		$headers.="From:SAIREH OnLINE <info@saireh.com>\r\n";
		mail("$destinatario",utf8_decode("$asunto"),utf8_decode("<font color='#000000' size='1' face='arial'>
			<strong>HA RECIBIDO UN CORREO ELECTR&Oacute;NICO DESDE http://www.saireh.com</strong></font><br><br>
			<br>$mensaje."),"$headers");
		/////////////////////////// cerrar correo
		
	}
	
?>
<html>
	<head><script language='javascript' src='fscript.js'></script>
	<style type="text/css">
		#menuListHoriz li {
		  list-style: none;
		  display: inline;/* Es necesario para que los elementos de la lista se situen uno tras otro (horizontalidad) */
		}
		#menuListHoriz li a, #menuList1 li a:focus {
		  list-style: none;
		  background-color: #ffffff;
		  border: 1px solid #2E2E2E;
		  padding:12px;
		  text-decoration: none;
		  color: #000;
		  font-family: Verdana,Arial,Helvetica;
		  font-size: 12px;
		  font-weight:bold;
		}
		#menuListHoriz li a:hover {
		  color: #FF0000;
		  border: 2px solid #2E2E2E;
		  font-size: 12px;
		  font-weight:bold;
		}
	</style> 
	</head>
	<body>	
		<table border=0 cellpadding=0 cellspacing=0 align=center width='100%' style='margin:0 0 0 0px;position:absolute; top:0; left:0;'>
			<tr>
				<td background='images/alto_04.png' width='20%' valign=top>
					<img src="images/alto_01.png">
				</td>
				<td background='images/alto_04.png' width='60%' valign=top align=center>
					<img src="images/alto_02.png">
				</td>
				<td background='images/alto_04.png' width='20%' valign=top>
					<img src="images/alto_03.png">
				</td>
			</tr>	
		</table>	
		<br><br><br><br>
		<?
		$cadena=strtoupper($_SERVER['HTTP_USER_AGENT']);
		//if (strstr($cadena,'FOX')) echo "<br>";
		if (strstr($cadena,'NET')) echo "<br>";
		?>

		<center>
					<ul id="menuListHoriz">
					<?php
						if (substr($_SESSION['acceso_validar'],4,1)=='1') echo '<li><a href="calculo_carga.php" >Cargar Constantes</a></li>';
						if (substr($_SESSION['acceso_validar'],5,1)=='1') echo '<li><a href="calculo_prestamo.php" >Prestamos</a></li>';
						if (substr($_SESSION['acceso_validar'],2,1)=='1') echo '<li><a href="calculo_reporte.php" >Reportes de Pre-Cierre</a></li>';
						if (substr($_SESSION['acceso_validar'],15,1)=='1' || substr($_SESSION['acceso_validar'],16,1)=='1') echo '<li><a href="calculo_auditoria.php" >Auditor&iacute;a</a></li>';
						if (substr($_SESSION['acceso_validar'],2,1)=='1') echo '<li><a href="menu_calculo_reporte.php">[LISTADOS]</a></li>';
						if (substr($_SESSION['acceso_validar'],2,1)=='1') echo '<li><a href="menu_calculo_historico.php">[HISTORICO]</a></li>';
					?>	
					  <li><a href='menu_nomina.php' rel='nofollow'><font color=blue>Regresar</a></li></font>
					</ul> 
		</center>	
				
		<table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td width='50%'><font size=2 color='black' face='verdana'><a href='menu.php'>[MEN&Uacute; Principal]</a>--><a href='menu_nomina.php'>[N&oacute;mina]</a>-->[C&aacute;lculos]</font></td> 
				<td  width='50%' align='right'><font size=2 color='black' face='verdana'>Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table>	
<hr>

<?php
echo "<font face='verdana' size='2' color='#6E6E6E'>
<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_roja.png' alt='Pre-Cierre'>:<a href='".$_SERVER['PHP_SELF']."?accion=11'>Efectuar Pre-Cierre</a>
</font><br><br>";
echo "<font face='Verdana, Arial, Helvetica, sans-serif' size=4>Reportes de C&aacute;lculos de N&oacute;mina en Pre-Cierre</font>";
echo "<font face='verdana' size=2>";
$entra=0;


if ($accion==11) {
	echo "<form name = 'entrada3' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'cerrar' value = '1'>";		
	echo "<table align ='center'>";
		$query = "select * from nomina";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
		$resultado = mysqli_num_rows($consulta);
		echo "<tr><td align = 'right'> N&oacute;mina a procesar: </td>";
		echo "<td colspan=3 align = 'left'> <select name = 'nomina'>";
		if ($resultado != 0) {
			for ($i=0;$i<$resultado;$i++) {
				$row1 = mysqli_fetch_array($consulta);
				echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
			}
		}	
		echo "</select>";
		echo "</td></tr>";
	echo "<tr>";
		echo "<td align = 'right'> Efectuar Cierre? (SI): </td>";
		echo "<td align = 'left'> <input type = 'text' name = 'si' size = '5' maxlength = '2' </td>";
		echo "<td ><input name='procesar' type = 'submit' value = 'Procesar Pre-Cierre'></td></form>";
		echo "<script language='javascript' type='text/javascript'>document.entrada3.si.focus();</script>";	
		echo "<form name = 'entrada2' method = 'POST' action = '".$_SERVER['PHP_SELF']."'>";
		echo "<td ><input type = 'submit' value = 'Regresar al Inicio'></td>";
	echo "</tr>";
	echo "</table></form>";		
} else {

	echo "
	<form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'></td>
	<table align='center'>";
	echo "
				<tr><td align='righta'>Tipo Reporte:</td>
				<td align='left'>
					<select name='treporte'>
						<option value='1'>Resumen General de Conceptos
						<option value='2'>Resumen Individual de Nomina
						<option value='3'>Pago de N&oacute;mina General
						<option value='4'>Recibos de Pagos
						<option value='5'>Detalle de Conceptos
						<option value='6'>Detalle de Deducciones/Asignaciones Automáticas
						<option value='7'>Carta Bancaria
					</select>
				</td>
				</tr>";
			echo "
				<tr><td align='righta'>Ordenado por:</td>
				<td align='left'>
					<select name='ordena'>
						<option value='codigo'  selected>CEDULA
						<option value='apellidos'>APELLIDOS
						<option value='nombres'>NOMBRES
						<option value='sso'>Ficha
					</select>
				</td>
				</tr>";
				
			echo "<tr>";
			$query = "select * from concepto order by codigo";
			$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Por conceptos: </td>";
			echo "<td align = 'left'> <select name = 'concepto'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select></td>";
			
			$query = "select * from nomina";
			$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
			$resultado = mysqli_num_rows($consulta);
			echo "<tr><td align = 'righta'> N&oacute;mina: </td>";
			echo "<td align = 'left'> <select name = 'nomina'>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td></tr>";
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			echo "<td align='righta'>T&iacute;tulo:</td>";
			echo "<td align='left'><input name='titulo' size = '35' maxlength = '50' value = '$titulo'></td></tr>";
			echo "<tr><td align='righta'>Subt&iacute;tulo:</td>";
			echo "<td align='left'><input name='subtitulo' size = '35' maxlength = '50'></td></tr>";		
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; width:300px' value='Procesar Reporte'>";
			echo "</td></tr>";	
			echo "</table></form></font>";
		}	
} else {
///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////	
		session_start();if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
		include ("fphp.php");
		$enlace=cargar_conexion();
		$consulta=mysqli_query($enlace,"select * from periodo where nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';$cortededu=0;$cortepdvsa=0;
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$cortededu=($row['deduccion']=='2'?1:0);
			$periodo=$row['periodo'];
			$desperiodo=$row['desde'].' al '.$row['hasta'];
		} 
		$payroll="payroll".$_POST['treporte'];
		
		$proceso=mysqli_query($enlace,"delete from $payroll");
		$query="where status='A' and nomina='".substr($_POST['nomina'],0,3)."' "; 
		if ($_POST['cedula']!="") $query.="and codigo='".$_POST['cedula']."' ";
		if ($_POST['nacionalidad']!="") $query.="and nacionalidad='".substr($_POST['nacionalidad'],0,4)."' ";
		if ($_POST['gerencia']!="") $query.="and gerencia='".substr($_POST['gerencia'],0,4)."' ";
		if ($_POST['estado_civil']!="") $query.="and edocivil='".substr($_POST['estado_civil'],0,4)."' ";
		if ($_POST['direccion']!="") $query.="and direccion='".substr($_POST['direccion'],0,4)."' ";
		if ($_POST['estado']!="") $query.="and estado='".substr($_POST['estado'],0,4)."' ";
		if ($_POST['division']!="") $query.="and division='".substr($_POST['division'],0,4)."' ";
		if ($_POST['municipio']!="") $query.="and municipio='".substr($_POST['municipio'],0,4)."' ";
		if ($_POST['sector']!="") $query.="and sector='".substr($_POST['sector'],0,4)."' ";
		if ($_POST['parroquia']!="") $query.="and parroquia='".substr($_POST['parroquia'],0,4)."' ";
		if ($_POST['area']!="") $query.="and area='".substr($_POST['area'],0,4)."' ";
		if ($_POST['pago']!="") $query.="and pago='".substr($_POST['pago'],0,4)."' ";
		if ($_POST['departamento']!="") $query.="and departamento='".substr($_POST['departamento'],0,4)."' ";
		if ($_POST['banco']!="") $query.="and banco='".substr($_POST['banco'],0,4)."' ";
		if ($_POST['cargo']!="") $query.="and cargo='".substr($_POST['cargo'],0,4)."' ";
		if ($_POST['tipo']!="") $query.="and tipo='".substr($_POST['tipo'],0,4)."' ";
		if ($_POST['turno']!="") $query.="and turno='".substr($_POST['turno'],0,4)."' ";
		if ($_POST['profesion']!="") $query.="and profesion='".substr($_POST['profesion'],0,4)."' ";
		if ($_POST['unidad']!="") $query.="and unidad='".substr($_POST['unidad'],0,4)."' ";
		$queryinicial="select * from personal ".$query." order by codigo";
		$qpersonal = mysqli_query($enlace,$queryinicial) or die ($queryinicial.':>'.mysqli_error($enlace));
		while ($rowp = mysqli_fetch_array($qpersonal)) {
			$query="select * from concepto order by codigo";
			$qconcepto = mysqli_query($enlace,$query) or die ($query);
			while ($rowc = mysqli_fetch_array($qconcepto)) {
				$caracter=$rowc['formula'];
				$monto = 0;
				$entro = 0;
				$entrodigito = 0;
				$entrooperando = 0;
				$cantidad = 0;
				$saldo = 0;
				$operacion='';
				$digito='';
				for ($x=0;$x<strlen($caracter);$x++) {	
					switch($caracter[$x]) {
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'C':
							$query="select * from concepto where codigo = '".substr($caracter,$x+1,4)."'";
							$qconcep1 = mysqli_query($enlace,$query) or die ($query);
							$nconcep1 = mysqli_num_rows($qconcep1);
							if ($nconcep1!=0) {
								$rowconcep1 = mysqli_fetch_array($qconcep1);
								$caracter1=$rowconcep1['formula'];
								$monto1 = 0;
								$entro1 = 0;
								$entrodigito1 = 0;
								$entrooperando1 = 0;
								$cantidad1 = 0;
								$operacion1='';
								$digito1='';
// =============================================================================================================   VALIDACION CEONCEPTO 1
				for ($x1=0;$x1<strlen($caracter1);$x1++) {	
					switch($caracter1[$x1]) {
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'C':
							$query="select * from concepto where codigo = '".substr($caracter1,$x1+1,4)."'";
							$qconcep2 = mysqli_query($enlace,$query) or die ($query);
							$nconcep2 = mysqli_num_rows($qconcep2);
							if ($nconcep2!=0) {
								$rowconcep2 = mysqli_fetch_array($qconcep2);
								$caracter2=$rowconcep1['formula'];
								$monto2 = 0;
								$entro2 = 0;
								$entrodigito2 = 0;
								$entrooperando2 = 0;
								$cantidad2 = 0;
								$operacion2='';
								$digito2='';
// =============================================================================================================   VALIDACION CEONCEPTO 2
				for ($x2=0;$x2<strlen($caracter2);$x2++) {	
					switch($caracter2[$x2]) {
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'C':
							$lmonto2 = 0;
							if ($entrooperando2) {
								switch($operacion2) {
									case '+':$monto2 = $monto2 + $lmonto2;break;
									case '-':$monto2 = $monto2 - $lmonto2;break;
									case '*':$monto2 = $monto2 * $lmonto2;break;
									case '/':$monto2 = $monto2 / $lmonto2;break;
								} // fin de operaciones
							} else $monto2 = $lmonto2;
							$cantidad2=$lmonto2;
							$x2 = $x2 + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'F':
							$lmonto2=0;
							if (substr($caracter2,$x2+1,4)=='1000') $lmonto2=$rowp['smes'];
							if (substr($caracter2,$x2+1,4)=='2000') $lmonto2=$rowp['sdia'];
							if (substr($caracter2,$x2+1,4)=='3000') {
								$afn=substr($rowp['fechan'],0,4);	
								$mfn=substr($rowp['fechan'],5,2);	
								$a=date ("Y");
								$m=date ("n");
								if ($m-$mfn<0) $lmonto2 = ($a-$afn-1);
								else $lmonto2 = ($a-$afn);
							}
							if (substr($caracter2,$x2+1,4)=='4000') $lmonto2=$rowp['hijo'];
							if (substr($caracter2,$x2+1,4)=='5000') $lmonto2=($rowp['sexo']=='F'?1:2);
							if (substr($caracter2,$x2+1,4)=='6000') $lmonto2=$rowp['gsanguineo'];
							if (substr($caracter2,$x2+1,4)=='7000') {
								$afn=substr($rowp['fechai'],0,4);	
								$mfn=substr($rowp['fechai'],5,2);	
								$a=date ("Y");
								$m=date ("n");
								if ($m-$mfn<0) $lmonto2 = ($a-$afn-1)*12 + ($m-$mfn+12);
								else $lmonto2 = ($a-$afn)*12 + ($m-$mfn);
							}
							if ($entrooperando2) {
								switch($operacion2) {
									case '+':$monto2 = $monto2 + $lmonto2;break;
									case '-':$monto2 = $monto2 - $lmonto2;break;
									case '*':$monto2 = $monto2 * $lmonto2;break;
									case '/':$monto2 = $monto2 / $lmonto2;break;
								} // fin de operaciones
							} else $monto2 = $lmonto2;
							$cantidad2=$lmonto2;
							$x2 = $x2 + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'T':
							$query="select * from constante_individual where cedula='".$rowp['codigo']."' and codigo = '".substr($caracter2,$x2+1,4)."'";
							$qconstante = mysqli_query($enlace,$query) or die ($query);
							$nconstante = mysqli_num_rows($qconstante);
							if ($nconstante!=0) {
								$rowt = mysqli_fetch_array($qconstante);
								$lmonto2 = $rowt['monto'];
							} else $lmonto2 = 0;
							if ($entrooperando2) {
								switch($operacion2) {
									case '+':$monto2 = $monto2 + $lmonto2;break;
									case '-':$monto2 = $monto2 - $lmonto2;break;
									case '*':$monto2 = $monto2 * $lmonto2;break;
									case '/':$monto2 = $monto2 / $lmonto2;break;
								} // fin de operaciones
							} else $monto2 = $lmonto2;
							$cantidad2=$lmonto2;
							$x2 = $x2 + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '+':
							if ($entrodigito2) {
								if ($entrooperando2) {
									switch($operacion2) {
										case '+':$monto2 = $monto2 + ($digito2+0);break;
										case '-':$monto2 = $monto2 - ($digito2+0);break;
										case '*':$monto2 = $monto2 * ($digito2+0);break;
										case '/':$monto2 = $monto2 / ($digito2+0);break;
									} // fin de operaciones
								} else $monto2 = ($digito2+0);	
								$digito2='';
							}
							$entrooperando2=1;	
							$operacion2='+';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '-': 
							if ($entrodigito2) {
								if ($entrooperando2) {
									switch($operacion2) {
										case '+':$monto2 = $monto2 + ($digito2+0);break;
										case '-':$monto2 = $monto2 - ($digito2+0);break;
										case '*':$monto2 = $monto2 * ($digito2+0);break;
										case '/':$monto2 = $monto2 / ($digito2+0);break;
									} // fin de operaciones
								} else $monto2 = ($digito2+0);	
								$digito2='';
							}
							$entrooperando2=1;	
							$operacion2='-';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '*':
							if ($entrodigito2) {
								if ($entrooperando2) {
									switch($operacion2) {
										case '+':$monto2 = $monto2 + ($digito2+0);break;
										case '-':$monto2 = $monto2 - ($digito2+0);break;
										case '*':$monto2 = $monto2 * ($digito2+0);break;
										case '/':$monto2 = $monto2 / ($digito2+0);break;
									} // fin de operaciones
								} else $monto2 = ($digito2+0);	
								$digito2='';
							}
							$entrooperando2=1;	
							$operacion2='*';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '/':
							if ($entrodigito2) {
								if ($entrooperando2) {
									switch($operacion2) {
										case '+':$monto2 = $monto2 + ($digito2+0);break;
										case '-':$monto2 = $monto2 - ($digito2+0);break;
										case '*':$monto2 = $monto2 * ($digito2+0);break;
										case '/':$monto2 = $monto2 / ($digito2+0);break;
									} // fin de operaciones
								} else $monto2 = ($digito2+0);
								$digito2='';
							}
							$entrooperando2=1;	
							$operacion2='/';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						default:
							$digito2 = $digito2 . $caracter2[$x2];
							$entrodigito2 = 1;	
							break;
					} // fin de ciclo swith de caracter				
				} // fin de ciclo de for de formula
				// grabar registro al trabajador
				if ($digito2!="") { 
					if ($entrooperando2) {
						switch($operacion2) {
							case '+':$monto2 = $monto2 + ($digito2+0);break;
							case '-':$monto2 = $monto2 - ($digito2+0);break;
							case '*':$monto2 = $monto2 * ($digito2+0);break;
							case '/':$monto2 = $monto2 / ($digito2+0);break;
						} // fin de operaciones
					} else $monto2 = ($digito2+0);
				}
				$lmonto1=$monto2;
				
// =============================================================================================================   VALIDACION CEONCEPTO 2
							} else $lmonto1 = 0;

							if ($entrooperando1) {
								switch($operacion1) {
									case '+':$monto1 = $monto1 + $lmonto1;break;
									case '-':$monto1 = $monto1 - $lmonto1;break;
									case '*':$monto1 = $monto1 * $lmonto1;break;
									case '/':$monto1 = $monto1 / $lmonto1;break;
								} // fin de operaciones
							} else $monto1 = $lmonto1;
							$cantidad1=$lmonto1;
							$x1 = $x1 + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'F':
							$lmonto1=0;
							if (substr($caracter1,$x1+1,4)=='1000') $lmonto1=$rowp['smes'];
							if (substr($caracter1,$x1+1,4)=='2000') $lmonto1=$rowp['sdia'];
							if (substr($caracter1,$x1+1,4)=='3000') {
								$afn=substr($rowp['fechan'],0,4);	
								$mfn=substr($rowp['fechan'],5,2);	
								$a=date ("Y");
								$m=date ("n");
								if ($m-$mfn<0) $lmonto1 = ($a-$afn-1);
								else $lmonto1 = ($a-$afn);
							}
							if (substr($caracter1,$x1+1,4)=='4000') $lmonto1=$rowp['hijo'];
							if (substr($caracter1,$x1+1,4)=='5000') $lmonto1=($rowp['sexo']=='F'?1:2);
							if (substr($caracter1,$x1+1,4)=='6000') $lmonto1=$rowp['gsanguineo'];
							if (substr($caracter1,$x1+1,4)=='7000') {
								$afn=substr($rowp['fechai'],0,4);	
								$mfn=substr($rowp['fechai'],5,2);	
								$a=date ("Y");
								$m=date ("n");
								if ($m-$mfn<0) $lmonto1 = ($a-$afn-1)*12 + ($m-$mfn+12);
								else $lmonto1 = ($a-$afn)*12 + ($m-$mfn);
							}
							if ($entrooperando1) {
								switch($operacion1) {
									case '+':$monto1 = $monto1 + $lmonto1;break;
									case '-':$monto1 = $monto1 - $lmonto1;break;
									case '*':$monto1 = $monto1 * $lmonto1;break;
									case '/':$monto1 = $monto1 / $lmonto1;break;
								} // fin de operaciones
							} else $monto1 = $lmonto1;
							$cantidad1=$lmonto1;
							$x1 = $x1 + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'T':
							$query="select * from constante_individual where cedula='".$rowp['codigo']."' and codigo = '".substr($caracter1,$x1+1,4)."'";
							$qconstante = mysqli_query($enlace,$query) or die ($query);
							$nconstante = mysqli_num_rows($qconstante);
							if ($nconstante!=0) {
								$rowt = mysqli_fetch_array($qconstante);
								$lmonto1 = $rowt['monto'];
							} else $lmonto1 = 0;
							if ($entrooperando1) {
								switch($operacion1) {
									case '+':$monto1 = $monto1 + $lmonto1;break;
									case '-':$monto1 = $monto1 - $lmonto1;break;
									case '*':$monto1 = $monto1 * $lmonto1;break;
									case '/':$monto1 = $monto1 / $lmonto1;break;
								} // fin de operaciones
							} else $monto1 = $lmonto1;
							$cantidad1=$lmonto1;
							$x1 = $x1 + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '+':
							if ($entrodigito1) {
								if ($entrooperando1) {
									switch($operacion1) {
										case '+':$monto1 = $monto1 + ($digito1+0);break;
										case '-':$monto1 = $monto1 - ($digito1+0);break;
										case '*':$monto1 = $monto1 * ($digito1+0);break;
										case '/':$monto1 = $monto1 / ($digito1+0);break;
									} // fin de operaciones
								} else $monto1 = ($digito1+0);	
								$digito1='';
							}
							$entrooperando1=1;	
							$operacion1='+';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '-': 
							if ($entrodigito1) {
								if ($entrooperando1) {
									switch($operacion1) {
										case '+':$monto1 = $monto1 + ($digito1+0);break;
										case '-':$monto1 = $monto1 - ($digito1+0);break;
										case '*':$monto1 = $monto1 * ($digito1+0);break;
										case '/':$monto1 = $monto1 / ($digito1+0);break;
									} // fin de operaciones
								} else $monto1 = ($digito1+0);	
								$digito1='';
							}
							$entrooperando1=1;	
							$operacion1='-';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '*':
							if ($entrodigito1) {
								if ($entrooperando1) {
									switch($operacion1) {
										case '+':$monto1 = $monto1 + ($digito1+0);break;
										case '-':$monto1 = $monto1 - ($digito1+0);break;
										case '*':$monto1 = $monto1 * ($digito1+0);break;
										case '/':$monto1 = $monto1 / ($digito1+0);break;
									} // fin de operaciones
								} else $monto1 = ($digito1+0);	
								$digito1='';
							}
							$entrooperando1=1;	
							$operacion1='*';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '/':
							if ($entrodigito1) {
								if ($entrooperando1) {
									switch($operacion1) {
										case '+':$monto1 = $monto1 + ($digito1+0);break;
										case '-':$monto1 = $monto1 - ($digito1+0);break;
										case '*':$monto1 = $monto1 * ($digito1+0);break;
										case '/':$monto1 = $monto1 / ($digito1+0);break;
									} // fin de operaciones
								} else $monto1 = ($digito1+0);
								$digito1='';
							}
							$entrooperando1=1;	
							$operacion1='/';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						default:
							$digito1 = $digito1 . $caracter1[$x1];
							$entrodigito1 = 1;	
							break;
					} // fin de ciclo swith de caracter				
				} // fin de ciclo de for de formula
				// grabar registro al trabajador
				if ($digito1!="") { 
					if ($entrooperando1) {
						switch($operacion1) {
							case '+':$monto1 = $monto1 + ($digito1+0);break;
							case '-':$monto1 = $monto1 - ($digito1+0);break;
							case '*':$monto1 = $monto1 * ($digito1+0);break;
							case '/':$monto1 = $monto1 / ($digito1+0);break;
						} // fin de operaciones
					} else $monto1 = ($digito1+0);
				}
				$lmonto=$monto1;
// =============================================================================================================   VALIDACION CEONCEPTO 1

							} else $lmonto = 0;

							if ($entrooperando) {
								switch($operacion) {
									case '+':$monto = $monto + $lmonto;break;
									case '-':$monto = $monto - $lmonto;break;
									case '*':$monto = $monto * $lmonto;break;
									case '/':$monto = $monto / $lmonto;break;
								} // fin de operaciones
							} else $monto = $lmonto;
							$cantidad=$lmonto;
							$x = $x + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'F':
							$lmonto=0;
							if (substr($caracter,$x+1,4)=='1000') $lmonto=$rowp['smes'];
							if (substr($caracter,$x+1,4)=='2000') $lmonto=$rowp['sdia'];
							if (substr($caracter,$x+1,4)=='3000') {
								$afn=substr($rowp['fechan'],0,4);	
								$mfn=substr($rowp['fechan'],5,2);	
								$a=date ("Y");
								$m=date ("n");
								if ($m-$mfn<0) $lmonto = ($a-$afn-1);
								else $lmonto = ($a-$afn);
							}
							if (substr($caracter,$x+1,4)=='4000') $lmonto=$rowp['hijo'];
							if (substr($caracter,$x+1,4)=='5000') $lmonto=($rowp['sexo']=='F'?1:2);
							if (substr($caracter,$x+1,4)=='6000') $lmonto=$rowp['gsanguineo'];
							if (substr($caracter,$x+1,4)=='7000') {
								$afn=substr($rowp['fechai'],0,4);	
								$mfn=substr($rowp['fechai'],5,2);	
								$a=date ("Y");
								$m=date ("n");
								if ($m-$mfn<0) $lmonto = ($a-$afn-1)*12 + ($m-$mfn+12);
								else $lmonto = ($a-$afn)*12 + ($m-$mfn);
							}
							if ($entrooperando) {
								switch($operacion) {
									case '+':$monto = $monto + $lmonto;break;
									case '-':$monto = $monto - $lmonto;break;
									case '*':$monto = $monto * $lmonto;break;
									case '/':$monto = $monto / $lmonto;break;
								} // fin de operaciones
							} else $monto = $lmonto;
							$cantidad=$lmonto;
							$x = $x + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'T':
							$query="select * from constante_individual where cedula='".$rowp['codigo']."' and codigo = '".substr($caracter,$x+1,4)."'";
							$qconstante = mysqli_query($enlace,$query) or die ($query);
							$nconstante = mysqli_num_rows($qconstante);
							if ($nconstante!=0) {
								$rowt = mysqli_fetch_array($qconstante);
								$lmonto = $rowt['monto'];
							} else $lmonto = 0;
							if ($entrooperando) {
								switch($operacion) {
									case '+':$monto = $monto + $lmonto;break;
									case '-':$monto = $monto - $lmonto;break;
									case '*':$monto = $monto * $lmonto;break;
									case '/':$monto = $monto / $lmonto;break;
								} // fin de operaciones
							} else $monto = $lmonto;
							$cantidad=$lmonto;
							$x = $x + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '+':
							if ($entrodigito) {
								if ($entrooperando) {
									switch($operacion) {
										case '+':$monto = $monto + ($digito+0);break;
										case '-':$monto = $monto - ($digito+0);break;
										case '*':$monto = $monto * ($digito+0);break;
										case '/':$monto = $monto / ($digito+0);break;
									} // fin de operaciones
								} else $monto = ($digito+0);	
								$digito='';
							}
							$entrooperando=1;	
							$operacion='+';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '-': 
							if ($entrodigito) {
								if ($entrooperando) {
									switch($operacion) {
										case '+':$monto = $monto + ($digito+0);break;
										case '-':$monto = $monto - ($digito+0);break;
										case '*':$monto = $monto * ($digito+0);break;
										case '/':$monto = $monto / ($digito+0);break;
									} // fin de operaciones
								} else $monto = ($digito+0);	
								$digito='';
							}
							$entrooperando=1;	
							$operacion='-';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '*':
							if ($entrodigito) {
								if ($entrooperando) {
									switch($operacion) {
										case '+':$monto = $monto + ($digito+0);break;
										case '-':$monto = $monto - ($digito+0);break;
										case '*':$monto = $monto * ($digito+0);break;
										case '/':$monto = $monto / ($digito+0);break;
									} // fin de operaciones
								} else $monto = ($digito+0);	
								$digito='';
							}
							$entrooperando=1;	
							$operacion='*';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '/':
							if ($entrodigito) {
								if ($entrooperando) {
									switch($operacion) {
										case '+':$monto = $monto + ($digito+0);break;
										case '-':$monto = $monto - ($digito+0);break;
										case '*':$monto = $monto * ($digito+0);break;
										case '/':$monto = $monto / ($digito+0);break;
									} // fin de operaciones
								} else $monto = ($digito+0);
								$digito='';
							}
							$entrooperando=1;	
							$operacion='/';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						default:
							$digito = $digito . $caracter[$x];
							$entrodigito = 1;	
							break;
					} // fin de ciclo swith de caracter				
				} // fin de ciclo de for de formula
				// grabar registro al trabajador
				if ($digito!="") { 
					if ($entrooperando) {
						switch($operacion) {
							case '+':$monto = $monto + ($digito+0);break;
							case '-':$monto = $monto - ($digito+0);break;
							case '*':$monto = $monto * ($digito+0);break;
							case '/':$monto = $monto / ($digito+0);break;
						} // fin de operaciones
					} else $monto = ($digito+0);
				}
				$query ="insert into $payroll (cedula,concepto, desconcepto,monto, cantidad,tipo, saldo, nomina,desnomina,periodo,desperiodo) ";		
				$query .=" value ('".$rowp['codigo']."','".$rowc['codigo']."','".$rowc['detalle']."','".$monto."','".$cantidad."','".$rowc['tipo']."',0,'".$nomina."','".$desnomina."','".$periodo."','".$desperiodo."')";
				$rpayroll = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
			} // fin de ciclo de concepto
			if ($cortededu!=1) {
				// grabar deducciones/asignaciones automaticas
				$query="select * from prestamo where cedula='".$rowp['codigo']."' and saldo > 0 and interes <> 1";
				$qprestamo = mysqli_query($enlace,$query) or die ($query);
				while ($rowpre=mysqli_fetch_array($qprestamo)) {
					$monto = ($rowpre['saldo']-$rowpre['cuota'])<0?$rowpre['saldo']:$rowpre['cuota'];
					$saldo = $rowpre['saldo']-$monto;
					$cantidad=1;
					$concepto=($rowpre['tipo']=='D'?'DEDU':'ASIG');
					$desconcepto=$rowpre['detalle'];
					$query ="insert into $payroll (cedula,concepto,desconcepto,monto,cantidad,tipo,saldo,nomina,desnomina,periodo,desperiodo) ";		
					$query .=" value ('".$rowp['codigo']."','".$concepto."','".$desconcepto."','".$monto."','".$cantidad."','".$rowpre['tipo']."','".$saldo."','".$nomina."','".$desnomina."','".$periodo."','".$desperiodo."')";
					$rpayroll = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
				} // fin ciclo de prestamos	
			} // cortededu
		} // fin de ciclo del personal		
		/////////////////////////////////////////////// filtros de eliminacion INDIVIDUAL
		$query="select * from concepto_empleado";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where cedula='".$rowemp['cedula']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto individual	
		/////////////////////////////////////////////// filtros de eliminacion NOMINA
		$query="select * from concepto_nomina";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where nomina='".$rowemp['nomina']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto nomina	
		/////////////////////////////////////////////// filtros de eliminacion PERIODO
		$query="select * from concepto_periodo";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where periodo='".$rowemp['periodo']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto periodo	
		/////////////////////////////////////////////// filtros de eliminacion POR MONTO = 0
		$query="delete from $payroll where monto=0";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		/////////////////////////////////////////////// filtros de eliminacion POR CONDICION
		$qpersonal = mysqli_query($enlace,$queryinicial) or die ($queryinicial.':>'.mysqli_error($enlace));
		while ($rowp = mysqli_fetch_array($qpersonal)) {
			$query="select * from concepto_condicion order by codigo";
			$qcondicion = mysqli_query($enlace,$query) or die ($query);
			while ($rowcondicion=mysqli_fetch_array($qcondicion)) {
				if (substr($rowcondicion['valor1'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor1'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto1=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto1=$rowvalor['monto'];
					}
				} else $monto1 = $rowcondicion['valor1']+0;
				if (substr($rowcondicion['valor2'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor2'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto2=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto2=$rowvalor['monto'];
					}
				} else $monto2 = $rowcondicion['valor2']+0;
				$elimina=0;
				if ($rowcondicion['condicion']=='=') $elimina=($monto1==$monto2)?1:0;
				if ($rowcondicion['condicion']=='<') $elimina=($monto1<$monto2)?1:0;
				if ($rowcondicion['condicion']=='>') $elimina=($monto1>$monto2)?1:0;
				if ($rowcondicion['condicion']=='>=') $elimina=($monto1>=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<=') $elimina=($monto1<=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<>') $elimina=($monto1!=$monto2)?1:0;
				if ($elimina == 1) {
					$query="delete from $payroll where cedula='".$rowp['codigo']."' and concepto = '".$rowcondicion['codigo']."'";
					$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
				}
				} // fin ciclo de concepto condicion
		}
		$consulta=mysqli_query($enlace,"select * from periodo where nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$periodo=$row['periodo'];
			$_POST['cierre']=$row['pre'];
			$desperiodo=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta']);
		} 
		/////////////////////////////////////////////// filtros de eliminacion POR TIPOR DE CONCEPTO = REPORTE
		$query="delete from $payroll where tipo='R'";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		/////////////////////////////////////////////// imprimir PAYROLL
		$consulta=mysqli_query($enlace,'select * from empresa');
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['empresal']=$row['nombre'];
			$_POST['pie']=$row['pie'];
			$_POST['derecho']=$row['derecho'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresa']=substr($_POST['nomina'],6,100);
		}   
		$_POST['periodo']=$periodo.' - '.$desperiodo;
		if ($_POST['cierre']=='1' && $_POST['treporte']!=4) {
			echo "Usted no puede procesar esta opci&oacute;n por estar en Pre-Cierre...";
			exit();
		}
//--------------------------------------------------------------------------------------------------------------------------------- REPORTE RESUMEN GENERAL DE CONCEPTOS
if ($_POST['treporte']==1) {		
	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
	{
	 //Logo
	    $this->Image($_SESSION['logo_validar'],10,10,40,20);
	    //Arial bold 15
	    $this->SetFont('arial','',12);
	    //Movernos a la derecha
		$this->Ln(2);
		if ($_POST['cierre']==0) $this->Cell(0,5,'Reporte de PRE-CIERRE',0,1,'R'); else $this->Cell(0,5,'CIERRE AUDITADO',0,1,'R'); 
	    $this->Cell(0,5,$_POST['empresal'],0,1,'R'); 
		$this->Cell(0,5,$_POST['encabeza'],0,1,'R');

		$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(0,5,'Fecha: '.hoy(),0,0,'L');
	    $this->Cell(0,5,'Nómina: '.$_POST['empresa'],0,1,'R'); 
	    $this->Cell(0,5,'Hora: '.hora(),0,1,'L');
		
		$this->SetFont('arial','B',12); 
		$this->Cell(0,0,($_POST['titulo']==''?'Resumen General de Conceptos':$_POST['titulo']),0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		$this->SetFont('arial','',10); 
		$this->Cell(0,0,'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
		if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'División: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
		
	    $header=array('Cod.','Descripción','Asignación','Deducción','# Personas');
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetDrawColor(128,0,0);
	    $this->SetLineWidth(.3);
	    $this->SetFont('','');
	    //Cabecera
		$this->SetFont('arial','B',8);
	    $w=array(10,90,30,30,30);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
	    $this->Ln();
	    //Restauración de colores y fuentes

	    $this->SetFont('');
	}
	

//Pie de página //////////////////////////////////
	function Footer()
	{
	$this->SetY(-20);
	$this->Cell(0,0,'',1,1,'C');
	$this->SetFont('Times','I',8);
	$this->ln(2);
	$this->Cell(0,0,$_POST['pie'],0,1,'C');
	$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - Página '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
	}
}
//Cuerpo ////////////////////////////////////////
	$pdf=new PDF();
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace,"select * from $payroll order by $payroll.concepto,$payroll.desconcepto"  );
	$linea=0;
	$color=0;
	$tasig=0;
	$tdeduc=0;
	$bandera=0;
	$ttasig=0; $ttdeduc=0;
	while($row=mysqli_fetch_array($consulta)) {
		$ttasig+=($row['tipo']=='A'?$row['monto']:0);
		$ttdeduc+=($row['tipo']=='D'?$row['monto']:0);
		if ($bandera==0) {
			$bandera=1;
			$tconcepto=($row['concepto']=='DEDU'||$row['concepto']=='ASIG'?("D".substr($row['desconcepto'],0,4)):($row['concepto']));
		}

		$tconcepto1=($row['concepto']=='DEDU'||$row['concepto']=='ASIG'?("D".substr($row['desconcepto'],0,4)):($row['concepto']));

		if ($tconcepto==$tconcepto1) {
			$tasig+=($row['tipo']=='A'?$row['monto']:0);
			$tdeduc+=($row['tipo']=='D'?$row['monto']:0);
			$tconcepto=($row['concepto']=='DEDU'||$row['concepto']=='ASIG'?("D".substr($row['desconcepto'],0,4)):($row['concepto']));
			$tdetalle=substr($row['desconcepto'],0,50);
			$linea++;
		}	
		else {
			$pdf->cell(10,5,$tconcepto,0,0,'',$color);
			$pdf->cell(60,5,$tdetalle,0,0,'',$color);
			$pdf->cell(60,5,number_format($tasig,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tdeduc,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($linea),0,1,'R',$color);
			$color=!$color;
			$linea=1;
			$tasig=($row['tipo']=='A'?$row['monto']:0);
			$tdeduc=($row['tipo']=='D'?$row['monto']:0);
			$tconcepto=($row['concepto']=='DEDU'||$row['concepto']=='ASIG'?("D".substr($row['desconcepto'],0,4)):($row['concepto']));
			$tdetalle=substr($row['desconcepto'],0,50);
		}
	}
	$pdf->cell(10,5,$tconcepto,0,0,'',$color);
	$pdf->cell(60,5,$tdetalle,0,0,'',$color);
	$pdf->cell(60,5,number_format($tasig,2),0,0,'R',$color);
	$pdf->cell(30,5,number_format($tdeduc,2),0,0,'R',$color);
	$pdf->cell(30,5,number_format($linea),0,1,'R',$color); 
	$pdf->Cell(190,0,'',1,1,'C'); 
	$pdf->cell(100,5,'Sub-Totales',0,0,'R');
	$pdf->cell(30,5,number_format($ttasig,2) ,0,0,'R');
	$pdf->cell(30,5,number_format($ttdeduc,2) ,0,1,'R');
	$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
	$pdf->Cell(190,0,'',1,1,'R'); $pdf->ln(1); 
	$pdf->cell(100,5,'Total General',0,0,'R');
	$pdf->cell(90,5,number_format($ttasig-$ttdeduc,2) ,0,1,'R');
	$pdf->Output();
}

//--------------------------------------------------------------------------------------------------------------------------------- REPORTE 
//--------------------------------------------------------------------------------------------------------------------------------- RESUMEN INDIVIDUAL
if ($_POST['treporte']==2) {		
		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
	{
	 //Logo
	    $this->Image($_SESSION['logo_validar'],10,10,40,20);
	    //Arial bold 15
	    $this->SetFont('arial','',12);
	    //Movernos a la derecha
		$this->Ln(2);
		if ($_POST['cierre']==0) $this->Cell(0,5,'Reporte de PRE-CIERRE',0,1,'R'); 
	    $this->Cell(0,5,$_POST['empresal'],0,1,'R'); 
		$this->Cell(0,5,$_POST['encabeza'],0,1,'R');

		$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(0,5,'Fecha: '.hoy(),0,0,'L');
	    $this->Cell(0,5,'Nómina: '.$_POST['empresa'],0,1,'R'); 
	    $this->Cell(0,5,'Hora: '.hora(),0,1,'L');
		
		$this->SetFont('arial','B',12); 
		$this->Cell(0,0,($_POST['titulo']==''?'Resumen Individual de Pagos':$_POST['titulo']),0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		$this->SetFont('arial','',10); 
		$this->Cell(0,0,'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
		if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'División: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
		    $header=array('Cod.','Cedula','Nombres y Apellidos','Asignación','Deducción','Total Neto (BS)','Firma');

		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetDrawColor(128,0,0);
		    $this->SetLineWidth(.3);
		    $this->SetFont('','');
		    //Cabecera
			$this->SetFont('arial','B',8);
		    $w=array(10,15,55,25,25,25,30);
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    //Restauración de colores y fuentes

		    $this->SetFont('');
		}
//Pie de página ////////////////////////
		function Footer()
		{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - Página '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
		}
}
//Cuerpo ///////////////////////////////
		$pdf=new PDF();
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFont('Arial','',8);
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
		$consulta=mysqli_query($enlace,"select * from $payroll order by cedula"  );
		$linea=0;
		$color=0;
		$tasig=0;
		$tdeduc=0;
		$bandera=0;
		$ttasig=0; $ttdeduc=0;
		while($row=mysqli_fetch_array($consulta)) {
			$ttasig+=($row['tipo']=='A'?$row['monto']:0);
			$ttdeduc+=($row['tipo']=='D'?$row['monto']:0);
			if ($bandera==0) {
				$bandera=1;
				$tcedula=$row['cedula'];
			}
			if ($tcedula==$row['cedula']) {
				$tasig+=($row['tipo']=='A'?$row['monto']:0);
				$tdeduc+=($row['tipo']=='D'?$row['monto']:0);
				$tnombre="";
				$consul1=mysqli_query($enlace,"select nombres,apellidos,sso from personal where codigo=".$tcedula );
				if (mysqli_num_rows($consul1)<>0) {
					$row1=mysqli_fetch_array($consul1);
					$tnombre=trim($row['sso'])." ".trim($row1['nombres']).',  '.trim($row1['apellidos']);
				}
				$tcedula=$row['cedula'];
			}	
			else {
				$linea++;
				$pdf->cell(10,5,$linea,0,0,'C',$color);
				$pdf->cell(15,5,$tcedula,0,0,'',$color);
				$pdf->cell(55,5,$tnombre,0,0,'',$color);
				$pdf->cell(25,5,number_format($tasig,2),0,0,'R',$color);
				$pdf->cell(25,5,number_format($tdeduc,2),0,0,'R',$color);
				$pdf->cell(25,5,number_format($tasig-$tdeduc,2),0,0,'R',$color);
				$pdf->cell(31,5,"__________________",0,1,'R',$color);
				$pdf->ln(5);
				$color=!$color;
				$tasig=($row['tipo']=='A'?$row['monto']:0);
				$tdeduc=($row['tipo']=='D'?$row['monto']:0);
				$tcedula=$row['cedula'];
				$tnombre="";
				$consul1=mysqli_query($enlace,"select nombres,apellidos,sso from personal where codigo=".$tcedula );
				if (mysqli_num_rows($consul1)<>0) {
					$row1=mysqli_fetch_array($consul1);
					$tnombre=trim($row['sso'])." ".trim($row1['nombres']).',  '.trim($row1['apellidos']);
				}
			}
		}
		$linea++;
		$pdf->cell(10,5,$linea,0,0,'C',$color);
		$pdf->cell(15,5,$tcedula,0,0,'',$color);
		$pdf->cell(55,5,$tnombre,0,0,'',$color);
		$pdf->cell(25,5,number_format($tasig,2),0,0,'R',$color);
		$pdf->cell(25,5,number_format($tdeduc,2),0,0,'R',$color);
		$pdf->cell(25,5,number_format($tasig-$tdeduc,2),0,0,'R',$color);
		$pdf->cell(31,5,"__________________",0,1,'R',$color);
		$pdf->ln(5);
		$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1);
		$pdf->cell(80,5,'Totales',0,0,'R');
		$pdf->cell(30,5,number_format($ttasig,2) ,0,0,'R');
		$pdf->cell(30,5,number_format($ttdeduc,2) ,0,0,'R');
		$pdf->cell(30,5,number_format($ttasig-$ttdeduc,2) ,0,1,'R');
		$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
		$pdf->Cell(190,0,'',1,1,'C'); 
		$pdf->Output();
} // fin de REPORTE INDIVIDUAL REPORTE=2

//--------------------------------------------------------------------------------------------------------------------------------- REPORTE 
//--------------------------------------------------------------------------------------------------------------------------------- PRENOMINA PAYROLL
if ($_POST['treporte']==3) {		
	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
	{
	 //Logo
	    $this->Image($_SESSION['logo_validar'],10,10,40,20);
	    //Arial bold 15
	    $this->SetFont('arial','',12);
	    //Movernos a la derecha
		$this->Ln(2);
		if ($_POST['cierre']==0) $this->Cell(0,5,'Reporte de PRE-CIERRE',0,1,'R'); 
	    $this->Cell(0,5,$_POST['empresal'],0,1,'R'); 
		$this->Cell(0,5,$_POST['encabeza'],0,1,'R');

		$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(0,5,'Fecha: '.hoy(),0,0,'L');
	    $this->Cell(0,5,'Nómina: '.$_POST['empresa'],0,1,'R'); 
	    $this->Cell(0,5,'Hora: '.hora(),0,1,'L');
		
		$this->SetFont('arial','B',12); 
		$this->Cell(0,0,($_POST['titulo']==''?'Pago de Nómina General':$_POST['titulo']),0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		$this->SetFont('arial','',10); 
		$this->Cell(0,0,'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
		if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'División: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
	    //Restauración de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}
	

//Pie de página //////////////////////////////////////
	function Footer()
	{
	$this->SetY(-20);
	$this->Cell(0,0,'',1,1,'C');
	$this->SetFont('Times','I',8);
	$this->ln(2);
	$this->Cell(0,0,$_POST['pie'],0,1,'C');
	$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - Página '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
	}
}
//Cuerpo //////////////////////////////////////////////
	$pdf=new PDF();
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace,"select * from personal,$payroll where $payroll.cedula=personal.codigo order by personal.".$_POST['ordena'].", $payroll.concepto, $payroll.desconcepto  "  );
	$linea=0;
	$color=0;
	$tasig=0;
	$tdeduc=0;
	$bandera=0;
	$ttasig=0; $ttdeduc=0;
	while($row=mysqli_fetch_array($consulta)) {
		$ttasig+=($row['tipo']=='A'?$row['monto']:0);
		$ttdeduc+=($row['tipo']=='D'?$row['monto']:0);
		if ($bandera==0) {
			$bandera=1;
			$tcedula=$row['cedula'];
			$tcargo=$row['cargo'];
			$concar=mysqli_query($enlace,"select * from tablas where tabla='CARGO' and codigo='".$tcargo."'"  );
			while($row1=mysqli_fetch_array($concar))
				$tcargo=$row1['detalle'];
			$tnombre=trim($row['sso'])." ".trim($row['nombres']).',  '.trim($row['apellidos']).' - '.$tcargo.' - cuenta bancaria: '.$row['cuenta']." - ".$row['banesco'];					
			$pdf->cell(1);$pdf->cell(1,5,"[".$tcedula."]",0,0,'');
			$pdf->cell(15);$pdf->cell(1,5,$tnombre,0,1,'');			
			$header=array('Cod.','Descripción','Cantidad','Asignación','Deducción','Saldo');

		    $pdf->SetDrawColor(128,0,0);
		    $pdf->SetLineWidth(.3);
		    $pdf->SetFont('','');
		    //Cabecera
			$pdf->SetFont('arial','B',8);
		    $w=array(10,70,20,30,30,30);
			for($i=0;$i<count($header);$i++)
		        $pdf->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $pdf->Ln();
			//Restauración de colores y fuentes
		    $pdf->SetFillColor(224,235,255);
		    $pdf->SetTextColor(0);
		    $pdf->SetFont('');
			$color=0;
		}
		if ($tcedula==$row['cedula']) {
			$tasig+=($row['tipo']=='A'?$row['monto']:0);
			$tdeduc+=($row['tipo']=='D'?$row['monto']:0);
			$tasigx=($row['tipo']=='A'?$row['monto']:0);
			$tdeducx=($row['tipo']=='D'?$row['monto']:0);
			$tnombre=trim($row['nombres']).',  '.trim($row['apellidos']);
			$tconcepto=$row['concepto'];
			$tdetalle=$row['desconcepto'];
			$tsaldo=$row['saldo'];
			$tcantidad=$row['cantidad'];
			$tcedula=$row['cedula'];
			$pdf->cell(10,5,$tconcepto,0,0,'',$color);
			$pdf->cell(60,5,$tdetalle,0,0,'',$color);
			$pdf->cell(30,5,number_format($tcantidad,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tasigx,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tdeducx,2),0,0,'R',$color);
			$pdf->cell(30,5,($tconcepto=="DEDU"?number_format($tsaldo,2):""),0,1,'R',$color);
		}	
		else {
			$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1);
			$pdf->cell(100,5,'Sub-Total',0,0,'R');
			$pdf->cell(30,5,number_format($tasig,2) ,0,0,'R');
			$pdf->cell(30,5,number_format($tdeduc,2) ,0,0,'R');
			$pdf->cell(30,5,number_format($tasig-$tdeduc,2) ,0,1,'R');
			$tasig=($row['tipo']=='A'?$row['monto']:0);
			$tdeduc=($row['tipo']=='D'?$row['monto']:0);
			$tasigx=($row['tipo']=='A'?$row['monto']:0);
			$tdeducx=($row['tipo']=='D'?$row['monto']:0);
			$tconcepto=$row['concepto'];
			$tdetalle=$row['desconcepto'];
			$tcantidad=$row['cantidad'];
			$tcedula=$row['cedula'];
			$tcargo=$row['cargo'];
			$concar=mysqli_query($enlace,"select * from tablas where tabla='CARGO' and codigo='".$tcargo."'"  );
			while($row1=mysqli_fetch_array($concar))
				$tcargo=$row1['detalle'];
			$tnombre=trim($row['sso'])." ".trim($row['nombres']).',  '.trim($row['apellidos']).' - '.$tcargo.' - cuenta bancaria: '.$row['cuenta']." - ".$row['banesco'];				
			$pdf->ln(5);
			$pdf->cell(1);$pdf->cell(1,5,"[".$tcedula."]",0,0,'');
			$pdf->cell(15);$pdf->cell(1,5,$tnombre,0,1,'');
		    $pdf->SetDrawColor(128,0,0);
		    $pdf->SetLineWidth(.3);
		    $pdf->SetFont('','');
		    //Cabecera
			$pdf->SetFont('arial','B',8);
			for($i=0;$i<count($header);$i++)
		        $pdf->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $pdf->Ln(5);
			//Restauración de colores y fuentes
		    $pdf->SetFillColor(224,235,255);
		    $pdf->SetTextColor(0);
		    $pdf->SetFont('');
			$color=0;
			$pdf->cell(10,5,$tconcepto,0,0,'',$color);
			$pdf->cell(60,5,$tdetalle,0,0,'',$color);
			$pdf->cell(30,5,number_format($tcantidad,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tasigx,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tdeducx,2),0,0,'R',$color);
			$pdf->cell(30,5,($tconcepto=="DEDU"?number_format($tsaldo,2):""),0,1,'R',$color);			
		}
		$color=!$color;
	}
	$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
	$pdf->cell(100,5,'Sub-Total',0,0,'R');	
	$pdf->cell(30,5,number_format($tasig,2),0,0,'R');
	$pdf->cell(30,5,number_format($tdeduc,2),0,0,'R');
	$pdf->cell(30,5,number_format($tasig-$tdeduc,2),0,1,'R');
	$pdf->Cell(190,0,'',1,1,'C'); 
	$pdf->cell(100,5,'Totales',0,0,'R');
	$pdf->cell(30,5,number_format($ttasig,2) ,0,0,'R');
	$pdf->cell(30,5,number_format($ttdeduc,2) ,0,0,'R');
	$pdf->cell(30,5,number_format($ttasig-$ttdeduc,2) ,0,1,'R');
	$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
	$pdf->Cell(190,0,'',1,1,'C'); 
	$pdf->Output();
	
} // fin de reporte 3 payroll

//--------------------------------------------------------------------------------------------------------------------------------- REPORTE 
//--------------------------------------------------------------------------------------------------------------------------------- RECIBOS DE PAGOS
if ($_POST['treporte']==4) {		
	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
	{
	 //Logo
	    $this->Image($_SESSION['logo_validar'],10,10,40,20);
	    //Arial bold 15
	    $this->SetFont('arial','',12);
	    //Movernos a la derecha
		$this->Ln(2);
		if ($_POST['cierre']==0) $this->Cell(0,5,'Reporte de PRE-CIERRE',0,1,'R'); 
	    $this->Cell(0,5,$_POST['empresal'],0,1,'R'); 
		$this->Cell(0,5,$_POST['encabeza'],0,1,'R');

		$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(0,5,'Fecha: '.hoy(),0,0,'L');
	    $this->Cell(0,5,'Nómina: '.$_POST['empresa'],0,1,'R'); 
	    $this->Cell(0,5,'Hora: '.hora(),0,1,'L');
		
		$this->SetFont('arial','B',12); 
		$this->Cell(0,0,($_POST['titulo']==''?'Recibos de Pagos':$_POST['titulo']),0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		$this->SetFont('arial','',10); 
		$this->Cell(0,0,'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
		if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'División: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
	    //Restauración de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}
	

//Pie de página //////////////////////////////////////
	function Footer()
	{
	$this->SetY(-20);
	}
}
//Cuerpo //////////////////////////////////////////////
	$pdf=new PDF($orientation='P',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace,"select * from personal,$payroll where $payroll.cedula=personal.codigo order by personal.".$_POST['ordena'].", $payroll.concepto , $payroll.desconcepto"  );
	$linea=0;
	$color=0;
	$tasig=0;
	$tdeduc=0;
	$bandera=0;
	$ttasig=0; $ttdeduc=0;
	while($row=mysqli_fetch_array($consulta)) {
		$ttasig+=($row['tipo']=='A'?$row['monto']:0);
		$ttdeduc+=($row['tipo']=='D'?$row['monto']:0);
		if ($bandera==0) {
			$bandera=1;
			$tcedula=$row['cedula'];
			$tcargo=$row['cargo'];
			$concar=mysqli_query($enlace,"select * from tablas where tabla='CARGO' and codigo='".$tcargo."'"  );
			while($row1=mysqli_fetch_array($concar))
				$tcargo=$row1['detalle'];
			$tnombre=trim($row['sso'])." ".trim($row['nombres']).',  '.trim($row['apellidos']).' - '.$tcargo.' - Cuenta Bancaria: '.$row['cuenta']." - ".$row['banesco'];		
			$pdf->SetFont('Arial','',10);
			$pdf->ln(5);
			$pdf->cell(1);$pdf->cell(1,5,"[".$tcedula."] - ".$tnombre,0,1,'');
			$pdf->SetFont('Arial','',8);
			$header=array('Cod.','Descripción','Cantidad','Asignación(BS)','Deducción(BS)','Saldo(BS)');
		    $pdf->SetDrawColor(128,0,0);
		    $pdf->SetLineWidth(.3);
		    $pdf->SetFont('','');
		    //Cabecera
			$pdf->SetFont('arial','B',8);
		    $w=array(10,70,20,30,30,30);
			for($i=0;$i<count($header);$i++)
		        $pdf->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $pdf->Ln();
			//Restauración de colores y fuentes

		    $pdf->SetFont('');
		}
		if ($tcedula==$row['cedula']) {
			$tasig+=($row['tipo']=='A'?$row['monto']:0);
			$tdeduc+=($row['tipo']=='D'?$row['monto']:0);
			$tasigx=($row['tipo']=='A'?$row['monto']:0);
			$tdeducx=($row['tipo']=='D'?$row['monto']:0);
			$tnombre=trim($row['nombres']).',  '.trim($row['apellidos']);
			$tconcepto=$row['concepto'];
			$tdetalle=$row['desconcepto'];
			$tsaldo=$row['saldo'];
			$tcantidad=$row['cantidad'];
			$tcedula=$row['cedula'];
			$pdf->cell(10,5,$tconcepto,0,0,'',$color);
			$pdf->cell(60,5,$tdetalle,0,0,'',$color);
			$pdf->cell(30,5,number_format($tcantidad,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tasigx,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tdeducx,2),0,0,'R',$color);
			$pdf->cell(30,5,($tconcepto=="DEDU"?number_format($tsaldo,2):""),0,1,'R',$color);
		}	
		else {
			$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1);
			$pdf->cell(100,5,'Sub-Total',0,0,'R');
			$pdf->cell(30,5,number_format($tasig,2),0,0,'R');
			$pdf->cell(30,5,number_format($tdeduc,2),0,0,'R');
			$pdf->cell(30,5,number_format($tasig-$tdeduc,2),0,1,'R');
			$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1);
			$pdf->cell(100,5,'Total a Cobrar:',0,0,'R');
			$pdf->cell(90,5,number_format($tasig-$tdeduc,2) ,0,1,'R');
			$pdf->ln(10);
			$pdf->cell(190,5,'-----------------------------------------------',0,0,'R');
			$pdf->ln(3);
			$pdf->cell(185,5,'Firma / Cedula de Recibido',0,0,'R');
			$pdf->ln(5);
			
//			$tfondo=0;
//			$confon = mysqli_query($enlace,"select monto from fondoahorro where fondoahorro.cedula=$tcedula") or die ('Error en Mostrar Saldo FondoAhorro > '.mysqli_error($enlace));
//			while($row3=mysqli_fetch_array($confon))
//				$tfondo=$tfondo+$row3['monto'];
//			$pdf->cell(0,0,'Saldo Anterior Fondo de Ahorro: '.number_format($tfondo,2) ,0,1,'L');
			$pdf->ln(3);
			$pdf->Cell(0,0,'Nomina: '.$_POST['nomina']." - ".'Periodo: '.$_POST['periodo'],0,1,'L');	
			$pdf->AddPage();
			$tasig=($row['tipo']=='A'?$row['monto']:0);
			$tdeduc=($row['tipo']=='D'?$row['monto']:0);
			$tasigx=($row['tipo']=='A'?$row['monto']:0);
			$tdeducx=($row['tipo']=='D'?$row['monto']:0);
			$tconcepto=$row['concepto'];
			$tdetalle=$row['desconcepto'];
			$tcantidad=$row['cantidad'];
			$tcedula=$row['cedula'];
			$tcargo=$row['cargo'];
			$concar=mysqli_query($enlace,"select * from tablas where tabla='CARGO' and codigo='".$tcargo."'"  );
			while($row1=mysqli_fetch_array($concar))
				$tcargo=$row1['detalle'];
			$tnombre=trim($row['sso'])." ".trim($row['nombres']).',  '.trim($row['apellidos']).' - '.$tcargo.' - Cuenta Bancaria: '.$row['cuenta']." - ".$row['banesco'];		
			$pdf->SetFont('Arial','',10);
			$pdf->ln(5);
			$pdf->cell(1);$pdf->cell(1,5,"[".$tcedula."] - ".$tnombre,0,1,'');
			$pdf->SetFont('Arial','',8);
		    $pdf->SetDrawColor(128,0,0);
		    $pdf->SetLineWidth(.3);
		    $pdf->SetFont('','');
		    //Cabecera
			$pdf->SetFont('arial','B',8);
			for($i=0;$i<count($header);$i++)
		        $pdf->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $pdf->Ln(5);
			//Restauración de colores y fuentes
		    $pdf->SetFillColor(224,235,255);
		    $pdf->SetTextColor(0);
		    $pdf->SetFont('');
			$pdf->cell(10,5,$tconcepto,0,0,'',$color);
			$pdf->cell(60,5,$tdetalle,0,0,'',$color);
			$pdf->cell(30,5,number_format($tcantidad,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tasigx,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tdeducx,2),0,0,'R',$color);
			$pdf->cell(30,5,($tconcepto=="DEDU"?number_format($tsaldo,2):""),0,1,'R',$color);			
		}
		$color=!$color;
	}
	$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
	$pdf->cell(100,5,'Sub-Total',0,0,'R');	
	$pdf->cell(30,5,number_format($tasig,2),0,0,'R');
	$pdf->cell(30,5,number_format($tdeduc,2),0,0,'R');
	$pdf->cell(30,5,number_format($tasig-$tdeduc,2),0,1,'R');
	$pdf->Cell(190,0,'',1,1,'C'); 
	$pdf->cell(100,5,'Total a Cobrar:',0,0,'R');
	$pdf->cell(90,5,number_format($tasig-$tdeduc,2) ,0,1,'R');
	$pdf->ln(10);
	$pdf->cell(190,5,'-----------------------------------------------',0,0,'R');
	$pdf->ln(3);
	$pdf->cell(185,5,'Firma / Cedula de Recibido',0,0,'R');
	$pdf->ln(5);
	$pdf->Cell(0,0,'Nomina: '.$_POST['nomina']." - ".'Periodo: '.$_POST['periodo'],0,1,'L');	
	
	$pdf->Output();
	
} // fin de reporte 4 recibos de pagos

//--------------------------------------------------------------------------------------------------------------------------------- REPORTE 
//--------------------------------------------------------------------------------------------------------------------------------- DETALLES DE CONCEPTOS
if ($_POST['treporte']==5) {		
	if ($_POST['concepto']=='') {
		echo "<html><head><script language='JavaScript' src='fscript.js'></script></head>";
		echo "<body>";
		echo 'Debe elegir un (1) Concepto...';
		echo "</body></html>";
	} else {	
		$query="delete from $payroll where concepto<>'".substr($_POST['concepto'],0,4)."'";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
	{
	 //Logo
	    $this->Image($_SESSION['logo_validar'],10,10,40,20);
	    //Arial bold 15
	    $this->SetFont('arial','',12);
	    //Movernos a la derecha
		$this->Ln(2);
		if ($_POST['cierre']==0) $this->Cell(0,5,'Reporte de PRE-CIERRE',0,1,'R'); 
	    $this->Cell(0,5,$_POST['empresal'],0,1,'R'); 
		$this->Cell(0,5,$_POST['encabeza'],0,1,'R');

		$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(0,5,'Fecha: '.hoy(),0,0,'L');
	    $this->Cell(0,5,'Nómina: '.$_POST['empresa'],0,1,'R'); 
	    $this->Cell(0,5,'Hora: '.hora(),0,1,'L');
		
		$this->SetFont('arial','B',12); 
		$this->Cell(0,0,($_POST['titulo']==''?'Detalles por Conceptos':$_POST['titulo']),0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo']." ".$_POST['concepto'],0,1,'C');$this->Ln(5);
		$this->SetFont('arial','',10); 
		$this->Cell(0,0,'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
		if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'División: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
		    $header=array('Cod.','Cedula','Nombres y Apellidos','Asignación','Deducción','Total Neto');
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetDrawColor(128,0,0);
		    $this->SetLineWidth(.3);
		    $this->SetFont('','');
		    //Cabecera
			$this->SetFont('arial','B',8);
		    $w=array(10,15,55,50,30,30);
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    //Restauración de colores y fuentes
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetFont('');
		}
//Pie de página ////////////////////////
		function Footer()
		{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - Página '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
		}
}
//Cuerpo ///////////////////////////////
		$pdf=new PDF();
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFont('Arial','',8);
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
		$consulta=mysqli_query($enlace,"select * from personal,$payroll where $payroll.cedula=personal.codigo order by personal.".$_POST['ordena']." ");
		$linea=0;
		$color=0;
		$tasig=0;
		$tdeduc=0;
		$bandera=0;
		$ttasig=0; $ttdeduc=0;
		while($row=mysqli_fetch_array($consulta)) {
			$ttasig+=($row['tipo']=='A'?$row['monto']:0);
			$ttdeduc+=($row['tipo']=='D'?$row['monto']:0);
			if ($bandera==0) {
				$bandera=1;
				$tcedula=$row['cedula'];
			}
			if ($tcedula==$row['cedula']) {
				$tasig+=($row['tipo']=='A'?$row['monto']:0);
				$tdeduc+=($row['tipo']=='D'?$row['monto']:0);
				$tnombre=trim($row['sso'])." ".trim($row['nombres']).',  '.trim($row['apellidos']);
				$tcedula=$row['cedula'];
			}	
			else {
				$linea++;
				$pdf->cell(10,5,$linea,0,0,'C',$color);
				$pdf->cell(20,5,$tcedula,0,0,'',$color);
				$pdf->cell(70,5,$tnombre,0,0,'',$color);
				$pdf->cell(30,5,number_format($tasig,2),0,0,'R',$color);
				$pdf->cell(30,5,number_format($tdeduc,2),0,0,'R',$color);
				$pdf->cell(30,5,number_format($tasig-$tdeduc,2),0,1,'R',$color);
				$color=!$color;
				$tasig=($row['tipo']=='A'?$row['monto']:0);
				$tdeduc=($row['tipo']=='D'?$row['monto']:0);
				$tnombre=trim($row['sso'])." ".trim($row['nombres']).',  '.trim($row['apellidos']);
				$tcedula=$row['cedula'];
			}
		}
		$linea++;
		$pdf->cell(10,5,$linea,0,0,'C',$color);
		$pdf->cell(20,5,$tcedula,0,0,'',$color);
		$pdf->cell(70,5,$tnombre,0,0,'',$color);
		$pdf->cell(30,5,number_format($tasig,2),0,0,'R',$color);
		$pdf->cell(30,5,number_format($tdeduc,2),0,0,'R',$color);
		$pdf->cell(30,5,number_format($tasig-$tdeduc,2),0,1,'R',$color);
		$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1);
		$pdf->cell(100,5,'Totales',0,0,'R');
		$pdf->cell(30,5,number_format($ttasig,2),0,0,'R');
		$pdf->cell(30,5,number_format($ttdeduc,2),0,0,'R');
		$pdf->cell(30,5,number_format($ttasig-$ttdeduc,2),0,1,'R');
		$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
		$pdf->Cell(190,0,'',1,1,'C'); 
		$pdf->Output();
	}	
} // fin de REPORTE de conceptos

//--------------------------------------------------------------------------------------------------------------------------------- REPORTE 
//--------------------------------------------------------------------------------------------------------------------------------- DEDUCCIONES AUTOMATICAS
if ($_POST['treporte']==6) {		
		$query="delete from $payroll where concepto<>'DEDU' and concepto<>'ASIG'";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
	{
	 //Logo
	    $this->Image($_SESSION['logo_validar'],10,10,40,20);
	    //Arial bold 15
	    $this->SetFont('arial','',12);
	    //Movernos a la derecha
		$this->Ln(2);
		if ($_POST['cierre']==0) $this->Cell(0,5,'Reporte de PRE-CIERRE',0,1,'R'); 
	    $this->Cell(0,5,$_POST['empresal'],0,1,'R'); 
		$this->Cell(0,5,$_POST['encabeza'],0,1,'R');

		$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(0,5,'Fecha: '.hoy(),0,0,'L');
	    $this->Cell(0,5,'Nómina: '.$_POST['empresa'],0,1,'R'); 
	    $this->Cell(0,5,'Hora: '.hora(),0,1,'L');
		
		$this->SetFont('arial','B',12); 
		$this->Cell(0,0,($_POST['titulo']==''?'Deducciones Automáticas (Prestamos Personales)':$_POST['titulo']),0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		$this->SetFont('arial','',10); 
		$this->Cell(0,0,'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
		if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'División: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
		    $header=array('Cod.','Cedula','Nombres y Apellidos','Detalle','Asignaciones','Deducciones');
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetDrawColor(128,0,0);
		    $this->SetLineWidth(.3);
		    $this->SetFont('','');
		    //Cabecera
			$this->SetFont('arial','B',8);
		    $w=array(10,15,60,45,30,30);
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    //Restauración de colores y fuentes
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetFont('');
		}
//Pie de página ////////////////////////
		function Footer()
		{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - Página '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
		}
}
//Cuerpo ///////////////////////////////
		$pdf=new PDF();
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFont('Arial','',8);
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
		$consulta=mysqli_query($enlace,"select * from personal,$payroll where $payroll.cedula=personal.codigo order by $payroll.desconcepto,personal.".$_POST['ordena']." ");
		$linea=0;
		$color=0;
		$tasig=0;
		$tdeduc=0;
		$bandera=0;
		$tsdetalle1=0;
		$tsdetalle2=0;
		$ttasig=0; $ttdeduc=0;
		while($row=mysqli_fetch_array($consulta)) {
			$ttasig+=($row['tipo']=='A'?$row['monto']:0);
			$ttdeduc+=($row['tipo']=='D'?$row['monto']:0);
			$tasig=($row['tipo']=='A'?$row['monto']:0);
			$tdeduc=($row['tipo']=='D'?$row['monto']:0);
			$tnombre=trim($row['sso'])." ".trim($row['nombres']).',  '.trim($row['apellidos']);
			$tcedula=$row['cedula'];
			$tdetalle=$row['desconcepto'];
			$tsdetalle1=$tsdetalle1+($row['tipo']=='A'?$row['monto']:0);
			$tsdetalle2=$tsdetalle2+($row['tipo']=='D'?$row['monto']:0);

				if ($linea==0) {
					$detalle=substr($row['desconcepto'],0,6);
				}
				if ($detalle!=substr($row['desconcepto'],0,6)) {
					$pdf->cell(130,5,"Sub-Total...",0,0,'R',$color);
					$pdf->cell(30,5,number_format($tsdetalle1,2),0,0,'R',$color);
					$pdf->cell(30,5,number_format($tsdetalle2,2),0,1,'R',$color);
					$pdf->ln(3);				
					$tsdetalle1=0;
					$tsdetalle2=0;
					$detalle=substr($row['desconcepto'],0,6);
				}

			$linea++;
			$pdf->cell(10,5,$linea,0,0,'C',$color);
			$pdf->cell(15,5,$tcedula,0,0,'',$color);
			$pdf->cell(60,5,substr($tnombre,0,30),0,0,'',$color);
			$pdf->cell(45,5,$tdetalle,0,0,'',$color);
			$pdf->cell(30,5,number_format($tasig,2),0,0,'R',$color);
			$pdf->cell(30,5,number_format($tdeduc,2),0,1,'R',$color);
		}
		$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1);
		$pdf->cell(100,5,'Totales',0,0,'R');
		$pdf->cell(60,5,number_format($ttasig,2),0,0,'R');
		$pdf->cell(30,5,number_format($ttdeduc,2),0,1,'R');
		$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
		$pdf->Cell(190,0,'',1,1,'C'); 
		$pdf->Output();
} // fin de REPORTE de deducciones automaticas

//--------------------------------------------------------------------------------------------------------------------------------- REPORTE 
//--------------------------------------------------------------------------------------------------------------------------------- REPORTE AL BANCO
if ($_POST['treporte']==7) {		
		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
	{
	 //Logo
	    $this->Image($_SESSION['logo_validar'],10,10,40,20);
	    //Arial bold 15
	    $this->SetFont('arial','',12);
	    //Movernos a la derecha
		$this->Ln(2);
		if ($_POST['cierre']==0) $this->Cell(0,5,'Reporte de PRE-CIERRE',0,1,'R'); 
	    $this->Cell(0,5,$_POST['empresal'],0,1,'R'); 
		$this->Cell(0,5,$_POST['encabeza'],0,1,'R');

		$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(0,5,'Fecha: '.hoy(),0,0,'L');
	    $this->Cell(0,5,'Nómina: '.$_POST['empresa'],0,1,'R'); 
	    $this->Cell(0,5,'Hora: '.hora(),0,1,'L');
		
		$this->SetFont('arial','B',12); 
		$this->Cell(0,0,($_POST['titulo']==''?'Resumen de Pagos Bancarios':$_POST['titulo']),0,1,'C');$this->Ln(5);
		$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		$this->SetFont('arial','',10); 
		$this->Cell(0,0,'Periodo: '.$_POST['periodo'],0,1,'L');$this->Ln(5);
		if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'División: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
		    $header=array('Cod.','Cedula','Nombres y Apellidos','Banco','Cuenta Bancaria','Total Neto');
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetDrawColor(128,0,0);
		    $this->SetLineWidth(.3);
		    $this->SetFont('','');
		    //Cabecera
			$this->SetFont('arial','B',8);
		    $w=array(10,15,60,30,45,30);
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    //Restauración de colores y fuentes
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetFont('');
		}
//Pie de página ////////////////////////
		function Footer()
		{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - Página '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
		}
}
//Cuerpo ///////////////////////////////
		$pdf=new PDF();
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFont('Arial','',8);
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
		$consulta=mysqli_query($enlace,"select * from personal,$payroll where $payroll.cedula=personal.codigo order by personal.".$_POST['ordena'].""  );
		$linea=0;
		$color=0;
		$tasig=0;
		$tdeduc=0;
		$bandera=0;
		$ttasig=0; $ttdeduc=0;
		while($row=mysqli_fetch_array($consulta)) {
			$ttasig+=($row['tipo']=='A'?$row['monto']:0);
			$ttdeduc+=($row['tipo']=='D'?$row['monto']:0);
			if ($bandera==0) {
				$bandera=1;
				$tcedula=$row['cedula'];
			}
			if ($tcedula==$row['cedula']) {
				$tasig+=($row['tipo']=='A'?$row['monto']:0);
				$tdeduc+=($row['tipo']=='D'?$row['monto']:0);
				$tnombre=trim($row['sso'])." ".trim($row['nombres']).',  '.trim($row['apellidos']);
				$tcedula=$row['cedula'];
				$tcuenta=$row['cuenta'];
				$tbanco=$row['banco'];
			}	
			else {
				$linea++;
				$pdf->cell(10,5,$linea,0,0,'C',$color);
				$pdf->cell(20,5,$tcedula,0,0,'',$color);
				$pdf->cell(60,5,$tnombre,0,0,'',$color);
				$consbanco=mysqli_query($enlace,"select * from tablas where codigo='".$tbanco."' and tabla='BANCO'" );
				while ($row1=mysqli_fetch_array($consbanco)) $tbanco=$row1['detalle'];
				$pdf->cell(25,5,$tbanco,0,0,'',$color);
				$pdf->cell(50,5,$tcuenta,0,0,'',$color);
				$pdf->cell(25,5,number_format($tasig-$tdeduc,2),0,1,'R',$color);
				$color=!$color;
				$tasig=($row['tipo']=='A'?$row['monto']:0);
				$tdeduc=($row['tipo']=='D'?$row['monto']:0);
				$tnombre=trim($row['nombres']).',  '.trim($row['apellidos']);
				$tcedula=$row['cedula'];
				$tcuenta=$row['cuenta'];
				$tbanco=$row['banco'];
			}
		}
		
		$linea++;
		$pdf->cell(10,5,$linea,0,0,'C',$color);
		$pdf->cell(20,5,$tcedula,0,0,'',$color);
		$pdf->cell(60,5,$tnombre,0,0,'',$color);
		$consbanco=mysqli_query($enlace,"select * from tablas where codigo='".$tbanco."' and tabla='BANCO'" ) ;
		while ($row=mysqli_fetch_array($consbanco)) $tbanco=$row['detalle'];
		$pdf->cell(25,5,$tbanco,0,0,'',$color);
		$pdf->cell(50,5,$tcuenta,0,0,'',$color);
		$pdf->cell(25,5,number_format($tasig-$tdeduc,2),0,1,'R',$color);
		$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1);
		$pdf->cell(100,5,'Totales',0,0,'R');
		$pdf->cell(90,5,number_format($ttasig-$ttdeduc,2),0,1,'R');
		$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
		$pdf->Cell(190,0,'',1,1,'C'); 
		$pdf->Output();
} // fin de REPORTE CARTA BANCARIA
		
} // fin del else de POST

?>
